cudaExternalSemaphoreWaitParams(3)

NAME
cudaExternalSemaphoreWaitParams -

SYNOPSIS

Detailed Description

External semaphore wait parameters

Field Documentation

  void* cudaExternalSemaphoreWaitParams::fence

Pointer to NvSciSyncFence. Valid if cudaExternalSemaphoreHandleType is of type cudaExternalSemaphoreHandleTypeNvSciSync.

  struct { ... } cudaExternalSemaphoreWaitParams::fence

Parameters for fence objects

  unsigned long long cudaExternalSemaphoreWaitParams::key

Value of key to acquire the mutex with

  struct { ... } cudaExternalSemaphoreWaitParams::keyedMutex

Parameters for keyed mutex objects

  unsigned int cudaExternalSemaphoreWaitParams::timeoutMs

Timeout in milliseconds to wait to acquire the mutex

  unsigned long long cudaExternalSemaphoreWaitParams::value

Value of fence to be waited on

Author

Generated automatically by Doxygen from the source code.